// This may look like C code, but it is really -*- C++ -*-
/* 
Copyright (C) 1988 Free Software Foundation
    written by Doug Lea (dl@rocky.oswego.edu)

This file is part of the GNU C++ Library.  This library is free
software; you can redistribute it and/or modify it under the terms of
the GNU Library General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your
option) any later version.  This library is distributed in the hope
that it will be useful, but WITHOUT ANY WARRANTY; without even the
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU Library General Public License for more details.
You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free Software
Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

// the dtor for this class does not delete the pointers held in the member
// cont[]. However, this class is used as a base for DAS whose dtor does
// delete those pointers. jhrg 7/29/94

#ifndef _DASVHMap_h
#ifdef __GNUG__
#pragma interface
#endif
#define _DASVHMap_h 1

#include "DASMap.h"


class DASVHMap : public DASMap
{
protected:
  String*           tab;
  AttrTablePtr*           cont;
  char*          status;
  unsigned int   size;

public:
                DASVHMap(AttrTablePtr  dflt,unsigned int sz=DEFAULT_INITIAL_CAPACITY);
                DASVHMap(DASVHMap& a);
                ~DASVHMap();

  AttrTablePtr&          operator [] (String  key);

  void          del(String  key);

  Pix           first();
  void          next(Pix& i);
  String&          key(Pix i);
  AttrTablePtr&          contents(Pix i);

  Pix           seek(String  key);
  int           contains(String  key);

  void          clear(); 
  void          resize(unsigned int newsize = 0);

  int           OK();
};

inline DASVHMap::~DASVHMap()
{
  delete [] tab;
  delete [] cont;
  delete [] status;
}

inline int DASVHMap::contains(String  key)
{
  return seek(key) != 0;
}

inline String& DASVHMap::key(Pix i)
{
  if (i == 0) error("null Pix");
  return *((String*)i);
}

inline AttrTablePtr& DASVHMap::contents(Pix i)
{
  if (i == 0) error("null Pix");
  return cont[((unsigned)(i) - (unsigned)(tab)) / sizeof(String)];
}

#endif
