// This may look like C code, but it is really -*- C++ -*-
/* 
Copyright (C) 1988 Free Software Foundation
    written by Doug Lea (dl@rocky.oswego.edu)
    based on code by Marc Shapiro (shapiro@sor.inria.fr)

This file is part of the GNU C++ Library.  This library is free
software; you can redistribute it and/or modify it under the terms of
the GNU Library General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your
option) any later version.  This library is distributed in the hope
that it will be useful, but WITHOUT ANY WARRANTY; without even the
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU Library General Public License for more details.
You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free Software
Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef _BaseTypePtrXPStack_h
#ifdef __GNUG__
#pragma interface
#endif
#define _BaseTypePtrXPStack_h

#include "BTXPlex.h"
#include "BTStack.h"

class BaseTypePtrXPStack : public BaseTypePtrStack
{
  BaseTypePtrXPlex      p;

public:
                BaseTypePtrXPStack(int chunksize = DEFAULT_INITIAL_CAPACITY);
                BaseTypePtrXPStack(const BaseTypePtrXPStack& s);
                ~BaseTypePtrXPStack();

  void          operator = (const BaseTypePtrXPStack&);

  void          push(BaseTypePtr  item);
  BaseTypePtr           pop();
  BaseTypePtr&          top();               
  void          del_top();

  int           empty();
  int           full();
  int           length();

  void          clear();

  int           OK();

};


inline BaseTypePtrXPStack::BaseTypePtrXPStack(int chunksize) 
     : p(chunksize) {}
inline BaseTypePtrXPStack::BaseTypePtrXPStack(const BaseTypePtrXPStack& s) : p(s.p) {}

inline BaseTypePtrXPStack::~BaseTypePtrXPStack() {}

inline void BaseTypePtrXPStack::push(BaseTypePtr item)
{
  p.add_high(item);
}

inline BaseTypePtr BaseTypePtrXPStack::pop()
{
  BaseTypePtr res = p.high_element();
  p.del_high();
  return res;
}

inline BaseTypePtr& BaseTypePtrXPStack::top()
{
  return p.high_element();
}

inline void BaseTypePtrXPStack::del_top()
{
  p.del_high();
}

inline void BaseTypePtrXPStack::operator =(const BaseTypePtrXPStack& s)
{
  p.operator = (s.p);
}

inline int BaseTypePtrXPStack::empty() 
{
  return p.empty();
}

inline int BaseTypePtrXPStack::full() 
{
  return p.full();
}

inline int BaseTypePtrXPStack::length() 
{
  return p.length();
}

inline int BaseTypePtrXPStack::OK() 
{
  return p.OK();
}

inline void BaseTypePtrXPStack::clear() 
{
  p.clear();
}

#endif
