function [url, times, lats, lons, depths] = getfrontsurl ...
         (getarchive, getranges, getmode, ...
          getvariablelist, getserverlist)
%
%    This function will build fronts file names and return time/lon/lat values
%    to the browser
%

% The preceding empty line is important

% reading selected ranges

  if exist(getarchive) == 2
    eval(getarchive)
  else
    disp('Metadata not found!')
    return
  end

  StartDate = num2str(getranges(4,1),9);
  EndDate = num2str(getranges(4,2),9);

  URLDate = sprintf('%s','&',dods_dbk(DodsName1(1,:)),'>=', StartDate,...
                         '&',dods_dbk(DodsName1(1,:)),'<=', EndDate);


  Ulat = num2str(getranges(2,2));
  Llat = num2str(getranges(2,1));
  URLLat = sprintf('%s','&',dods_dbk(DodsName1(2,:)),'<=',Ulat,...
                        '&',dods_dbk(DodsName1(3,:)),'>=',Llat);
  URLlat = sprintf('%s','&',dods_dbk(DodsName1(6,:)),'>=',Llat,...
                        '&',dods_dbk(DodsName1(6,:)),'<=',Ulat);

  Llon = num2str(getranges(1,1));
  Rlon = num2str(getranges(1,2));
  % for [-180, 180]  
  URLLon = sprintf('%s','&',dods_dbk(DodsName1(4,:)),'<=',Rlon,...
                        '&',dods_dbk(DodsName1(5,:)),'>=',Llon);
  URLlon = sprintf('%s','&',dods_dbk(DodsName1(7,:)),'>=',Llon,...
                        '&',dods_dbk(DodsName1(7,:)),'<=',Rlon);
 
  % builds constraints 
  returned_var = [];
  if strcmp(getmode, 'cat') | strcmp(getmode, 'datasize')
      returned_var = dods_dbk(DodsName1(1,:));
      Constraint = sprintf('%s', returned_var, ...
                           URLDate, URLLat, URLLon);
  elseif strcmp(getmode, 'get')
      for i = 1:size(getvariablelist,1)
          returned_var = [returned_var, dods_dbk(getvariablelist(i,:))];  
          if i < size(getvariablelist,1)
              returned_var = [returned_var, ','];
          end
      end
      Constraint = sprintf('%s', returned_var, URLDate, URLLat, ...
                           URLlat, URLLon, URLlon);
  end

  % builds URL w/ server (Server2 in archive.m) and Constraint

  URL = sprintf( '%s', Server2, '?', Constraint);
  url = URL;

  return

  

  

  
